Summary:	Gringotts, an electronic safety box
Name:		gringotts
Version:	0.5.9
Release:	1
Copyright:	GPL
Group:		Utilities
Source:		%{name}-%{version}.tar.bz2
URL:		http://gringotts.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gtk2, libmcrypt, bash, popt, textutils, gringotts-libs = 0.5.9
BuildPrereq:gtk2-devel, libmcrypt-devel, popt, textutils
Prefix:		/usr
Vendor:		Mano <mano@pluto.linux.it>
Packager:	Mano <mano@pluto.linux.it>

%description
Gringotts is a small but (hopely ;) useful utility that stores sensitive
data (passwords, credit card numbers, girlfriends' addresses) in an
organized and most of all very secure form.
It uses libmcrypt and libmhash to provide a strong level of encryption,
just trying to be as trustworthy as possible.

%package libs
Summary:	Shared library for Gringotts
Group:		System Environment/Libraries
Requires:	libmcrypt, mhash, zlib, bzip2-libs, textutils
BuildPrereq:libmcrypt-devel, mhash-devel, zlib-devel, bzip2-devel

%package devel
Summary:	Headers and static libraries for gringotts-lib
Group:		Development/Libraries
Requires:	libmcrypt, mhash, zlib, bzip2-libs, gringotts-libs = 0.5.9
BuildPrereq:libmcrypt-devel, mhash-devel, zlib-devel, bzip2-devel

%description libs
This library have been originally developed for Gringotts, but can be
used for any data encryption pourpose, when it's needed to encrypt simply,
quickly and safely some data to a file. And to read from it, of course.
The interface is really simple, and the library provides also some more
security-related utility functions.

%description devel
These are the files needed to develop applications with libGringotts

%prep
%setup

CFLAGS="$RPM_OPT_FLAGS" ./configure $ARCH_FLAGS --prefix=%{prefix}

%build

make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod u+s %{prefix}/bin/gringotts-bin
echo
echo -----------------------------------------------------
echo   md5sum of %{prefix}/bin/gringotts-bin
echo
md5sum %{prefix}/bin/gringotts-bin|(read A B; echo $A)
echo
echo use this value to check program integrity at any time
echo -----------------------------------------------------
echo

%post libs
/sbin/ldconfig
echo
echo -----------------------------------------------------
echo   md5sum of %{prefix}/lib/libgringotts.so
echo
md5sum %{prefix}/lib/libgringotts.so|(read A B; echo $A)
echo
echo use this value to check library integrity at any time
echo -----------------------------------------------------
echo

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc README ChangeLog AUTHORS NEWS TODO COPYING FILE_FORMAT BUGS

%attr( 0755, root, root ) %{prefix}/bin/*
%attr( 0644, root, root ) %{prefix}/share/locale/*/LC_MESSAGES/*
%attr( 0644, root, root ) %{prefix}/share/pixmaps/gringotts.xpm
%attr( 0644, root, root ) %{prefix}/share/gnome/apps/Utilities/gringotts.desktop

%files libs
%attr( 0644, root, root ) %prefix/lib/*.so*

%files devel
%attr( 0644, root, root ) %prefix/lib/*.a
%attr( 0644, root, root ) %prefix/lib/*.la
%attr( 0644, root, root ) %prefix/include/*
%attr( 0644, root, root ) %prefix/lib/pkgconfig/*

%changelog
* Sat Jun 15 2002 Mano <mano@pluto.linux.it>
- added SUID bit to the executable

* Fri Jun 14 2002 Mano <mano@pluto.linux.it>
- added md5sum display for the library, too
- moved libgringotts.so in the libs package
- added popt and textutils (for md5sum) requirement

* Thu Jun 06 2002 Mano <mano@pluto.linux.it>
- added the md5sum display

* Sun May 19 2002 Mano <mano@pluto.linux.it>
- added the libgringotts.pc file

* Thu May 16 2002 Mano <mano@pluto.linux.it>
- added version to gringotts-libs requirement

* Wed May 15 2002 Mano <mano@pluto.linux.it>
- added ldconfig invocation on (un)installation

* Sun May 12 2002 Mano <mano@pluto.linux.it>
- forked the application in three packages
- added dependency to libbz2

* Sun May 05 2002 Mano <mano@pluto.linux.it>
- removed UPX compression, it was giving some problems

* Wed Apr 10 2002 Mano <mano@pluto.linux.it>
- added dependency to bash

* Wed Apr 03 2002 Mano <mano@pluto.linux.it>
- adapted to new sh+exe pattern

* Wed Mar 20 2002 Mano <mano@pluto.linux.it>
- added .desktop file

* Sat Mar 16 2002 Mano <mano@pluto.linux.it>
- added the upx compression
- based on the bzip2 archive

* Sun Mar 10 2002 Mano <mano@pluto.linux.it>
- first spec file, based on the gnomermind one
